
Foreman - Feature #15575

Add functional tests for trend pages

07/05/2016 04:11 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Trends   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3623

  

Description

#14879 and #15148 showed that the trend show pages are missing functional test coverage, as the AR/SQL lookup errors were only

found at runtime. These pages should be covered with functional tests.

Related issues:

Related to Foreman - Bug #14879: PG::Error on viewing trend details after upg... Closed 04/29/2016

Associated revisions

Revision 65fac18d - 07/05/2016 12:04 PM - Dominic Cleal

fixes #15575 - add factories and functional trend tests

History

#1 - 07/05/2016 04:11 AM - Dominic Cleal

- Related to Bug #14879: PG::Error on viewing trend details after upgrade to 1.11.1 added

#2 - 07/05/2016 07:50 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3623 added

#3 - 07/05/2016 01:01 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 65fac18da874c6dfb2e1a9a47dc4ec85a8b5a415.

#4 - 07/08/2016 06:39 AM - Dominic Cleal

- translation missing: en.field_release set to 160
